Skip to main content
GET
/
api
/
mail
/
ticketing
/
{id}
Retrieves a single ticketing configuration by identifier.
curl --request GET \
  --url https://{tenant}.ekso.app/api/mail/ticketing/{id} \
  --header 'Authorization: Bearer <token>'
{
  "entity": "<string>",
  "name": "<string>",
  "mailboxId": "<string>",
  "containerId": "<string>",
  "processId": "<string>",
  "ackTemplateSubject": "<string>",
  "ackTemplateBody": "<string>",
  "replyTemplateSubject": "<string>",
  "replyTemplateBody": "<string>",
  "startFrom": "2023-11-07T05:31:56Z",
  "startFromUid": 123,
  "domainList": [
    "<string>"
  ],
  "domainListType": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

The unique identifier of the ticketing configuration.

Response

The ticketing configuration.

entity
null | string
name
string
mailboxId
string
containerId
string
processId
string
ackTemplateSubject
string
ackTemplateBody
string
replyTemplateSubject
string
replyTemplateBody
string
startFrom
string<date-time>
startFromUid
integer<int64>
domainList
string[]
domainListType
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean